Subject: Re: ps/clone-into-reftable-repository, was: What's cooking in git.git (Dec 2023, #03; Mon, 18)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 19 Dec 2023 06:41:17 +0100

On Mon, Dec 18, 2023 at 05:06:33PM -0800, Junio C Hamano wrote:
> * ps/clone-into-reftable-repository (2023-12-12) 7 commits
>  - builtin/clone: create the refdb with the correct object format
>  - builtin/clone: skip reading HEAD when retrieving remote
>  - builtin/clone: set up sparse checkout later
>  - builtin/clone: fix bundle URIs with mismatching object formats
>  - remote-curl: rediscover repository when fetching refs
>  - setup: allow skipping creation of the refdb
>  - setup: extract function to create the refdb
> 
>  "git clone" has been prepared to allow cloning a repository with
>  non-default hash function into a repository that uses the reftable
>  backend.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I personally consider the series to be ready for 'next'. There are no
outstanding review comments that need to be addressed, and reviews of v1
were favorable. I don't think we need to wait for additional reviews on
v2 of the series given that it really only improved commit messages and
adapted a test.

In case you feel uncomfortable with the lack of more reviews I can try
to get some additional eyes onto this patch series though.

Patrick